% $Id$ %
\subsection{Doom}
\screenshot{plugins/images/ss-doom}{Doom}{}
This is the famous Doom game.

\subsubsection{Getting started}
For the game to run you need \fname{.wad} game files located in
\fname{/.rockbox/doom/} on your player. Create the directory and save the
following files there:
\begin{description}
\item[rockdoom.wad.] The Rockbox \fname{.wad}, based on \fname{prboom.wad}
from prboom-2.2.6
\item[Your wad files.] Copy all Doom wads you wish to play into that directory.
\end{description}
The needed files can be found at
\wikilink{PluginDoom}

To play addon wads create the \fname{addons} directory within the doom directory.
Place \fname{wad} files in this directory. Currently doom only supports 
a maximum number of 10 addons.

A free alternative for Doom 2 is FreeDoom (\url{http://freedoom.sourceforge.net}).
This can be used in place of \fname{doom2.wad}, or it may be used as an addon in 
Doom, by placing it in the \fname{addons} directory.

\subsubsection{Menus}
\begin{description}
  \item[Rockdoom Menu. ] The Rockdoom menu is shown when Doom is first launched.  
This is the only time it can be accessed (before starting the game).  To re-adjust 
Rockdoom options, you will need to quit your current game and restart the plugin.
  \item[Main Menu. ]
  The Doom plugin has a main menu, which is brought up before a game is started. It 
  has the following entries:
  
  \emph{Game. } Select which (official) wad to launch\\
  \emph{Addon. } Select which unofficial addon wad to launch (From 
  \fname{/.rockbox/doom/addons} directory)\\
  \emph{Demos. } Select which demo file to play on game start\\
  \emph{Options. } Configure low-level Doom options\\
  \emph{Play Game. } Launch the wad/addon/Demo chosen%\\
  
  \item[Options Menu. ]This menu has the following options:
  
  \emph{Sound. } Enable or Disable sound in Doom\\
  \emph{Set Keys. }  Change the game key configuration\\
  \emph{Time Demo. } Run a timed demo, to test game speed on a player (Only runs on Doom Shareware)\\
  \emph{Player Bobbing. } Enable or Disable player up/Down movement\\
  \emph{Translucency. } Enable or Disable sprite translucency (Fireballs, Plasma...)\\
  \emph{Fake Contrast.} Enable or Disable modified game lighting\\
  \emph{Always Run.} Make the player always run\\
  \emph{Headsup Display.} Show the player status when in fullscreen\\
  \emph{Statusbar Always Red.} Disable color response statusbar%\\

  \item[InGame Main Menu. ]This menu can only be accessed from within a running game, and is displayed by
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{pressing \ButtonOff}%
    \opt{IPOD_3G_PAD,IPOD_4G_PAD}{flipping your \ButtonHold{} switch a couple of times}%
    \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD, SANSA_C200_PAD%
         ,GIGABEAT_PAD,GIGABEAT_S_PAD}{pressing \ButtonPower}%

  \emph{New Game. } Start a new game\\
  \emph{Options. } In game options\\
  \emph{Load Game. } Load a saved game\\
  \emph{Save Game. } Save the current game\\
  \emph{Quit. } Quit the game%\\

  \item[InGame Options Menu. ]This menu has the folloing options:
  
  \emph{End Game. } Ends the current game\\
  \emph{Messages. }  Enable or Disable in game messages\\
  \emph{Screen Size. } Shrink or Enlarge the displayed portion of the game\\
  \emph{Gamma. } Change the brightness (Gamma) of the game\\
  \emph{Sound Volume. } Change the sound, music and system volume%\\
  \note{In game music is not currently supported}

\end{description}

\subsubsection{Keys}
\begin{table}
\begin{btnmap}{}{}
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD,SANSA_C200_PAD%
      ,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonUp}
  \opt{IPOD_3G_PAD,IPOD_4G_PAD}{\ButtonMenu}
  \opt{IRIVER_H10_PAD}{\ButtonScrollUp}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Move Forward \\
%
  \nopt{IPOD_3G_PAD,IPOD_4G_PAD}{
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD,SANSA_C200_PAD%
        ,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonDown}
    \opt{IRIVER_H10_PAD}{\ButtonScrollDown}
       \opt{HAVEREMOTEKEYMAP}{& }
      & Down\\
  }
%
  \ButtonLeft
       \opt{HAVEREMOTEKEYMAP}{& }
    & Turn Left \\
%
  \ButtonRight
       \opt{HAVEREMOTEKEYMAP}{& }
    & Turn Right \\
%
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonRec}
  \opt{IPOD_3G_PAD,IPOD_4G_PAD,GIGABEAT_S_PAD}{\ButtonPlay}
  \opt{IAUDIO_X5_PAD,SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonSelect}
  \opt{IRIVER_H10_PAD}{\ButtonRew}
  \opt{GIGABEAT_PAD}{\ButtonA}
  \opt{MROBE100_PAD}{\ButtonDisplay}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Shoot \\
%
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode}
  \opt{IPOD_3G_PAD,IPOD_4G_PAD}{\ButtonMenu}
  \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD}{\ButtonPlay}
  \opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonRec}
  \opt{GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonMenu}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Open \\
%
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOff}
  \opt{IPOD_3G_PAD,IPOD_4G_PAD}{\ButtonHold{} switch}
  \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD%
      ,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonPower}
       \opt{HAVEREMOTEKEYMAP}{& }
    & InGame Menu \\
%
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IPOD_3G_PAD,IPOD_4G_PAD,IAUDIO_X5_PAD%
      ,GIGABEAT_PAD,GIGABEAT_S_PAD,SANSA_E200_PAD,SANSA_C200_PAD,MROBE100_PAD}{\ButtonSelect}
  \opt{IRIVER_H10_PAD}{\ButtonRew}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Enter \\
%
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOn}
  \opt{IPOD_3G_PAD,IPOD_4G_PAD}{\ButtonSelect}
  \opt{IAUDIO_X5_PAD}{\ButtonRec}
  \opt{IRIVER_H10_PAD}{\ButtonFF}
  \opt{SANSA_E200_PAD}{\ButtonScrollFwd}
  \opt{SANSA_C200_PAD}{\ButtonVolUp}
  \opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolDown}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Change Weapon \\
%
\end{btnmap}
\end{table}

\subsubsection{Playing the game}
After installation of the \fname{wad} files is complete you can start the
game.
\fixme{more description is needed}
